user       www www; 
worker_processes  2;
error_log  logs/error.log;
pid        logs/nginx.pid;
events {
        worker_connections  1024;
}

http {
        include       mime.types;
        default_type  application/octet-stream;
        gzip on;
        gzip_min_length 5000;
        gzip_buffers    4 8k;
        gzip_types text/plain text/html text/css application/x-javascript text/xml application/xml application/xml+rss text/javascript;
        gzip_proxied  any;
        gzip_comp_level 2;
        ignore_invalid_headers  on;
    upload_progress proxied 1m;
    
  server {
        server_name  www.example1.com;
        
        root /var/www/www.example1.com;
                
        location / {
            proxy_pass http://127.0.0.1;
            proxy_redirect default;
            track_uploads proxied 30s;
        }
        
        location ^~ /progress {
            report_uploads proxied;
        }
}

}
